summaryrefslogtreecommitdiff
path: root/include
diff options
context:
space:
mode:
authorLeah Rowe <leah@libreboot.org>2026-09-12 18:12:36 +0100
committerLeah Rowe <leah@libreboot.org>2026-09-12 18:12:36 +0100
commitc7fb6a2bc849bd31993cc0383b36fce32a2b96d1 (patch)
tree266f99c42fe7b18ab7b53abd3f35d8ff9295eda9 /include
parent2d1d7624e9179f11c95562cd6cf74871e7bb5f3f (diff)
get.sh: remove redundant check
we don't pull anything from supermicro's site. we did briefly, in an earlier port for that one supermicro board. don't maintain dead code. dead code has one purpose: be deleted. Signed-off-by: Leah Rowe <leah@libreboot.org>
Diffstat (limited to 'include')
-rw-r--r--include/get.sh13
1 files changed, 3 insertions, 10 deletions
diff --git a/include/get.sh b/include/get.sh
index 3ad1dcf0..f7d45686 100644
--- a/include/get.sh
+++ b/include/get.sh
@@ -199,17 +199,10 @@ try_fetch_curl()
try_curl()
{
- _ua=""
+ ua="Mozilla/5.0 (Windows NT 10.0; rv:91.0) Gecko/20100101 Firefox/91.0"
- case "$2" in
- https://www.supermicro.com/*)
- _ua="curl/8.6.0";;
- *)
- _ua="Mozilla/5.0 (Windows NT 10.0; rv:91.0) Gecko/20100101 Firefox/91.0";;
- esac
-
- ( x_ curl --location --retry 3 -A "$_ua" "$2" -o "$1" ) \
- || ( x_ wget --tries 3 -U "$_ua" "$2" -O "$1" ) \
+ ( x_ curl --location --retry 3 -A "$ua" "$2" -o "$1" ) \
+ || ( x_ wget --tries 3 -U "$ua" "$2" -O "$1" ) \
|| return 1; :
}